<?php
/*
Provides the end-user with the options to either sync, append, or remove
posts from a selected Category.  If using sync or append, it will also
use the source table and source column (post_title) to populate the 
newly created posts.
*/


//Grabs a list of tabls in the database
$tables = listTables($dbhost, $dbuser, $dbpwd, $dbname);

//Grabs a list of categories in the database
$cats = listCategories($dbhost, $dbuser, $dbpwd, $dbname);
?>
<form name="options" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
<h4>Run CatSync</h4>
<p><?php _e("Source Table: " ); ?><select name='source'><option value=''>Select A Table</option>
<?php
foreach ($tables as $value)    //Loop displaying all tables in a drop-down menu
	{
		if ($value == $source)
			{
				echo "<option SELECTED value='$value'>$value</option>";
			}
		else
			{
				echo "<option value='$value'>$value</option>";
			}
	}
?>
</select></p>
<p><?php _e("Source Column (Post Title): " ); ?><input type="text" name="column" value="<?php echo $column; ?>" size="20"></p>
<p><?php _e("Category: " ); ?><select name='category'><option value=''>Select A Category</option>
<?php
foreach ($cats as $value)    //Loop displaying all categories in a drop-down menu
	{
		if ($value == $category)
			{
				echo "<option SELECTED value='$value'>$value</option>";
			}
		else
			{
				echo "<option value='$value'>$value</option>";
			}
	}
?>
</select></p>
<p class="submit">
<input type="submit" name="Sync" value="Execute" />
<input type="submit" name="Append" value="Append Posts" />
<input type="submit" name="Remove" value="Clear Posts" />
</p>
</form>