<?php
include('functions.php');
include('includes/options.php');
?>
<div class="wrap">
<h2><a>CatSync</a></h2>

<?php
include('includes/buttons.php');    //Navigation
echo "<hr />";

if ($dbname == "" || isset($_POST['dbSettings']))  //Display a message if the user has not entered their database connection information
	{
		echo "<p>Note:  Currently you need to enter the details of your WordPress database and then import your external tables into the WordPress database.  We will be adding functionality in the future to allow you to connect to an external database directly and import posts that way.</p>";
		
		include('includes/dbSettings.php');    //Show the dbSettings Form
	}
elseif (isset($_POST['syncForm']))    //Show the syncForm
	{
		include('includes/syncForm.php');
	}
elseif (isset($_POST['manageCat']))    //Show the manageCat Form
	{
		include('includes/manageCat.php');
	}
elseif (isset($_POST['postDefaults']))    //Show the postDefaults Form
	{
		echo "<p>Currently this feature does not work properly.  You may try to tweak the code to get it to work, but in the meantime you should just leave it as it.</p>";
		include('includes/postDefaults.php');
	}
else    //Welcome Screen with intital instructions.  Need to dress it up in the future.
	{
		echo "<p>To begin, please enter your database connection information.  Once you have completed this, you should add any new categories you might need.  Next, you will want to double check the default post settings.  Finally click the sync posts button and begin batch creating blog posts.</p>";
	}
?>
<hr />
</div>
