<?php
/*
Database Settings Form allows end-user to enter information about their
WordPress database.  In the future, I would like to add functionality
that will allow the end-user to specify their WordPress database and
an additional external database to import information from.
*/
?>
<form name="options" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">

<h4>CatSync Database Settings</h4>
<p><?php _e("Database host: " ); ?><input type="text" name="dbhost" value="<?php echo $dbhost; ?>" size="20"><?php _e(" ex: localhost" ); ?></p>
<p><?php _e("Database name: " ); ?><input type="text" name="dbname" value="<?php echo $dbname; ?>" size="20"><?php _e(" ex: wordpress" ); ?></p>
<p><?php _e("Database user: " ); ?><input type="text" name="dbuser" value="<?php echo $dbuser; ?>" size="20"><?php _e(" ex: root" ); ?></p>
<p><?php _e("Database password: " ); ?><input type="password" name="dbpwd" value="<?php echo $dbpwd; ?>" size="20"><?php _e(" ex: secretpassword" ); ?></p>

<p class="submit">
<input type="submit" name="dbOptions" value="Save Settings" />
</p>
</form>